package xyz.lychee.lagfixer.libs.adventure.key;

import xyz.lychee.lagfixer.libs.annotations.NotNull;
import xyz.lychee.lagfixer.libs.annotations.Nullable;

public final class InvalidKeyException extends RuntimeException {
   private static final long serialVersionUID = -5413304087321449434L;
   private final String keyNamespace;
   private final String keyValue;

   InvalidKeyException(final @NotNull String keyNamespace, final @NotNull String keyValue, final @Nullable String message) {
      super(message);
      this.keyNamespace = keyNamespace;
      this.keyValue = keyValue;
   }

   public final @NotNull String keyNamespace() {
      return this.keyNamespace;
   }

   public final @NotNull String keyValue() {
      return this.keyValue;
   }
}
